Hacker News new | past | comments | ask | show | jobs | submit login

If you have ssh access to your web host, you may be able to upgrade it yourself. I needed something more recent for django 2.2 and had to download the latest sqlite, compile it, put the lib in some folder and add the lib to .bashrc so that python3 could use it (ld_include_flags or something like that).

Look for it on google, it’s possible to do it..




My Google skills are failing me here, can you provide any more details? I'm very interested in knowing tricks to upgrade the SQLite version used by Python.


You set the LD_LIBRARY_PATH environment variable (https://unix.stackexchange.com/a/24833).

Specifically, you'll need to recompile libsqlite3, put it somewhere, and then set LD_LIBRARY_PATH before invoking Python. You can do that globally in your shell by modifying your .bashrc or similar file.

Or if you're super brave, you just replace the libsqlite3.so that Python is pointing to (really depends on your use case).


I’m not in my computer now but I’ll look for a link..




Guidelines | FAQ | Lists | API | Security | Legal | Apply to YC | Contact

Search: